Macro raccogli quote

simoness

Utente poco attivo
Professione: disegnatore/progettista
Software: solidworks
Regione: veneto
Buon giorno,
sulla falsa riga di questo esempio, che cattura tutte le informazioni delle note di un blocco,

ne esiste un altro che mi cattura tutte le informazioni delle quote di una parte/assieme?

Nella guida ho trovato questo esempio, ma come pre-condizione, devo selezionare a mano una sola quota

Quello che mi serve invece, è che la macro mi catturi tutti i valori delle quote della parte/assieme.

Lo scopo è quello di intercettare tutte le quote per poi andare a modificare solo quelle che mi interessano.
(Lo stesso lavoro fatto in un precedente post, con le note all'interno di un blocco per intenderci)

Quindi se avete un link esempio o volete postare qualcosa di vostro, vi ringrazio.
 

jenuary

Utente Standard
Professione: Progettista e Programmatore VB.Net
Software: Solidworks
Regione: Veneto
Buon giorno,
sulla falsa riga di questo esempio, che cattura tutte le informazioni delle note di un blocco,

ne esiste un altro che mi cattura tutte le informazioni delle quote di una parte/assieme?

Nella guida ho trovato questo esempio, ma come pre-condizione, devo selezionare a mano una sola quota

Quello che mi serve invece, è che la macro mi catturi tutti i valori delle quote della parte/assieme.

Lo scopo è quello di intercettare tutte le quote per poi andare a modificare solo quelle che mi interessano.
(Lo stesso lavoro fatto in un precedente post, con le note all'interno di un blocco per intenderci)

Quindi se avete un link esempio o volete postare qualcosa di vostro, vi ringrazio.
la macro che riporto sotto lavora in parte o in assieme. In assieme devi però pre-selezionare un componente e poi la lanci, in ambiente parte lavora solo sulla parte, e ti restituisce il nome e il valore di tutte le quote.
Nel caso vuoi passare per tutti i componenti dell'assieme la devi modificare inserendo un ciclo che passa per i componenti dell'albero.



Dim swApp As SldWorks.SldWorks

Sub main()

Set swApp = Application.SldWorks

Dim swModel As SldWorks.ModelDoc2
Set swModel = swApp.ActiveDoc

If Not swModel Is Nothing Then

Dim swSelMgr As SldWorks.SelectionMgr

Set swSelMgr = swModel.SelectionManager

Dim swComp As SldWorks.Component2

Set swComp = swSelMgr.GetSelectedObjectsComponent3(1, -1)

If Not swComp Is Nothing Then
TraverseDimensions swComp.FirstFeature
Else
TraverseDimensions swModel.FirstFeature
End If

Else
MsgBox "Please open document"
End If

End Sub

Sub TraverseDimensions(startFeat As SldWorks.Feature)

Dim vFeats As Variant
vFeats = GetAllFeatures(startFeat)

Dim vDispDims As Variant
vDispDims = GetAllDimensions(vFeats)

If Not IsEmpty(vDispDims) Then

Dim i As Integer

For i = 0 To UBound(vDispDims)

Dim swDispDim As SldWorks.DisplayDimension
Set swDispDim = vDispDims(i)

Dim swDim As SldWorks.Dimension
Set swDim = swDispDim.GetDimension2(0)

Dim val As Double
val = swDim.GetSystemValue3(swInConfigurationOpts_e.swThisConfiguration, Empty)(0)

Debug.Print swDim.GetNameForSelection() & "=" & val

Next

End If

End Sub

Function GetAllDimensions(vFeats As Variant) As Variant

Dim swDimsColl As Collection
Set swDimsColl = New Collection

Dim i As Integer

For i = 0 To UBound(vFeats)

Dim swFeat As SldWorks.Feature
Set swFeat = vFeats(i)

Dim swDispDim As SldWorks.DisplayDimension
Set swDispDim = swFeat.GetFirstDisplayDimension

While Not swDispDim Is Nothing

If Not Contains(swDimsColl, swDispDim) Then
swDimsColl.Add swDispDim
End If

Set swDispDim = swFeat.GetNextDisplayDimension(swDispDim)
Wend

Next

GetAllDimensions = CollectionToArray(swDimsColl)

End Function

Function GetAllFeatures(startFeat As SldWorks.Feature) As Variant

Dim swProcFeatsColl As Collection
Set swProcFeatsColl = New Collection

Dim swFeat As SldWorks.Feature
Set swFeat = startFeat

While Not swFeat Is Nothing

If swFeat.GetTypeName2() <> "HistoryFolder" Then

If Not Contains(swProcFeatsColl, swFeat) Then
swProcFeatsColl.Add swFeat
End If

CollectAllSubFeatures swFeat, swProcFeatsColl

End If

Set swFeat = swFeat.GetNextFeature

Wend

GetAllFeatures = CollectionToArray(swProcFeatsColl)

End Function

Sub CollectAllSubFeatures(parentFeat As SldWorks.Feature, procFeatsColl As Collection)

Dim swSubFeat As SldWorks.Feature
Set swSubFeat = parentFeat.GetFirstSubFeature

While Not swSubFeat Is Nothing

If Not Contains(procFeatsColl, swSubFeat) Then
procFeatsColl.Add swSubFeat
End If

CollectAllSubFeatures swSubFeat, procFeatsColl
Set swSubFeat = swSubFeat.GetNextSubFeature

Wend

End Sub

Function CollectionToArray(coll As Collection) As Variant

If coll.Count() > 0 Then

Dim arr() As Object

ReDim arr(coll.Count() - 1)
Dim i As Integer

For i = 1 To coll.Count
Set arr(i - 1) = coll(i)
Next

CollectionToArray = arr

Else
CollectionToArray = Empty
End If

End Function

Function Contains(coll As Collection, item As Object) As Boolean

Dim i As Integer

For i = 1 To coll.Count
If coll.item(i) Is item Then
Contains = True
Exit Function
End If
Next

Contains = False

End Function
 

simoness

Utente poco attivo
Professione: disegnatore/progettista
Software: solidworks
Regione: veneto
Come sempre celere nella risposta 😂
Comunque grazie, oggi me la modifico per le mie esigenze
 

SimoneCRV

Utente poco attivo
Professione: Disegnatore/ Progettista
Software: Solidworks - Visualize
Regione: Veneto
Ciao, ogni tanto cambio account perché non ricordo mai la pass. Uno per scrivere da lavoro e uno da casa 😂

Comunque, lavoro permettendo, ora posso dedicarmi a questo progetto.
Per ciclare come dicevi, ho trovato questo


Ma lo trovo poco elegante oltre al fatto che tira fuori di tutto, meno quello che mi serve. 🤔
 

jenuary

Utente Standard
Professione: Progettista e Programmatore VB.Net
Software: Solidworks
Regione: Veneto
Ciao, ogni tanto cambio account perché non ricordo mai la pass. Uno per scrivere da lavoro e uno da casa 😂

Comunque, lavoro permettendo, ora posso dedicarmi a questo progetto.
Per ciclare come dicevi, ho trovato questo


Ma lo trovo poco elegante oltre al fatto che tira fuori di tutto, meno quello che mi serve. 🤔
Io userei questa, poi tu dovrai lavorare dentro a "Sub TraverseFeatureFeatures ..."

 

SimoneCRV

Utente poco attivo
Professione: Disegnatore/ Progettista
Software: Solidworks - Visualize
Regione: Veneto
Ciao, ho risolto così come segue.
E' vero che mi rileva tutte le quote di tutti i componenti (anche quelli ripetuti), ma con degli if o case (adesso vedo), vado a intercettare quelle che mi servono.

Edit: mi rileva tutte le quote degli schizzi e delle funzioni delle parti che compongono un assieme, senza selezionare nessuna parte. (Il chè è un bene, era quello che volevo ottenere)
Non rileva però, le funzioni di assieme. Non che ne avessi bisogno, ma non si sa mai
Qualche idea su come migliorarlo?

Option Explicit

Public swApp As SldWorks.SldWorks


Sub main()


Dim swModel As SldWorks.ModelDoc2
Dim swAssy As SldWorks.AssemblyDoc
Dim vComp As Variant
Dim swComp As SldWorks.Component2
Dim i As Integer
Set swApp = Application.SldWorks
Set swModel = swApp.ActiveDoc
Set swAssy = swModel
vComp = swAssy.GetComponents(False)

For i = 0 To UBound(vComp)
Set swComp = vComp(i)
If Not swComp Is Nothing Then
TraverseDimensions swComp.FirstFeature
Else
TraverseDimensions swModel.FirstFeature
End If
Next i

End Sub



Sub TraverseDimensions(startFeat As SldWorks.Feature)

Dim vFeats As Variant
vFeats = GetAllFeatures(startFeat)

Dim vDispDims As Variant
vDispDims = GetAllDimensions(vFeats)

If Not IsEmpty(vDispDims) Then

Dim i As Integer

For i = 0 To UBound(vDispDims)

Dim swDispDim As SldWorks.DisplayDimension
Set swDispDim = vDispDims(i)

Dim swDim As SldWorks.Dimension
Set swDim = swDispDim.GetDimension2(0)

Dim val As Double
val = swDim.GetSystemValue3(swInConfigurationOpts_e.swThisConfiguration, Empty)(0)

Debug.Print swDim.GetNameForSelection() & "=" & val
If swDim.Name = "ALTEZZA_CUMULO" Then
swDim.Value = 5000
End If

Next

End If
Dim swModel As SldWorks.ModelDoc2
Set swModel = swApp.ActiveDoc
Dim ret As Boolean
ret = swModel.ForceRebuild3(False)

End Sub

Function GetAllDimensions(vFeats As Variant) As Variant

Dim swDimsColl As Collection
Set swDimsColl = New Collection

Dim i As Integer

For i = 0 To UBound(vFeats)

Dim swFeat As SldWorks.Feature
Set swFeat = vFeats(i)

Dim swDispDim As SldWorks.DisplayDimension
Set swDispDim = swFeat.GetFirstDisplayDimension

While Not swDispDim Is Nothing

If Not Contains(swDimsColl, swDispDim) Then
swDimsColl.Add swDispDim
End If

Set swDispDim = swFeat.GetNextDisplayDimension(swDispDim)
Wend

Next

GetAllDimensions = CollectionToArray(swDimsColl)

End Function

Function GetAllFeatures(startFeat As SldWorks.Feature) As Variant

Dim swProcFeatsColl As Collection
Set swProcFeatsColl = New Collection

Dim swFeat As SldWorks.Feature
Set swFeat = startFeat

While Not swFeat Is Nothing

If swFeat.GetTypeName2() <> "HistoryFolder" Then

If Not Contains(swProcFeatsColl, swFeat) Then
swProcFeatsColl.Add swFeat
End If

CollectAllSubFeatures swFeat, swProcFeatsColl

End If

Set swFeat = swFeat.GetNextFeature

Wend

GetAllFeatures = CollectionToArray(swProcFeatsColl)

End Function

Sub CollectAllSubFeatures(parentFeat As SldWorks.Feature, procFeatsColl As Collection)

Dim swSubFeat As SldWorks.Feature
Set swSubFeat = parentFeat.GetFirstSubFeature

While Not swSubFeat Is Nothing

If Not Contains(procFeatsColl, swSubFeat) Then
procFeatsColl.Add swSubFeat
End If

CollectAllSubFeatures swSubFeat, procFeatsColl
Set swSubFeat = swSubFeat.GetNextSubFeature

Wend

End Sub

Function CollectionToArray(coll As Collection) As Variant

If coll.Count() > 0 Then

Dim arr() As Object

ReDim arr(coll.Count() - 1)
Dim i As Integer

For i = 1 To coll.Count
Set arr(i - 1) = coll(i)
Next

CollectionToArray = arr

Else
CollectionToArray = Empty
End If

End Function

Function Contains(coll As Collection, item As Object) As Boolean

Dim i As Integer

For i = 1 To coll.Count
If coll.item(i) Is item Then
Contains = True
Exit Function
End If
Next

Contains = False

End Function
 

jenuary

Utente Standard
Professione: Progettista e Programmatore VB.Net
Software: Solidworks
Regione: Veneto
Ciao, ho risolto così come segue.
E' vero che mi rileva tutte le quote di tutti i componenti (anche quelli ripetuti), ma con degli if o case (adesso vedo), vado a intercettare quelle che mi servono.

Edit: mi rileva tutte le quote degli schizzi e delle funzioni delle parti che compongono un assieme, senza selezionare nessuna parte. (Il chè è un bene, era quello che volevo ottenere)
Non rileva però, le funzioni di assieme. Non che ne avessi bisogno, ma non si sa mai
Qualche idea su come migliorarlo?

Option Explicit

Public swApp As SldWorks.SldWorks


Sub main()


Dim swModel As SldWorks.ModelDoc2
Dim swAssy As SldWorks.AssemblyDoc
Dim vComp As Variant
Dim swComp As SldWorks.Component2
Dim i As Integer
Set swApp = Application.SldWorks
Set swModel = swApp.ActiveDoc
Set swAssy = swModel
vComp = swAssy.GetComponents(False)

For i = 0 To UBound(vComp)
Set swComp = vComp(i)
If Not swComp Is Nothing Then
TraverseDimensions swComp.FirstFeature
Else
TraverseDimensions swModel.FirstFeature
End If
Next i

End Sub



Sub TraverseDimensions(startFeat As SldWorks.Feature)

Dim vFeats As Variant
vFeats = GetAllFeatures(startFeat)

Dim vDispDims As Variant
vDispDims = GetAllDimensions(vFeats)

If Not IsEmpty(vDispDims) Then

Dim i As Integer

For i = 0 To UBound(vDispDims)

Dim swDispDim As SldWorks.DisplayDimension
Set swDispDim = vDispDims(i)

Dim swDim As SldWorks.Dimension
Set swDim = swDispDim.GetDimension2(0)

Dim val As Double
val = swDim.GetSystemValue3(swInConfigurationOpts_e.swThisConfiguration, Empty)(0)

Debug.Print swDim.GetNameForSelection() & "=" & val
If swDim.Name = "ALTEZZA_CUMULO" Then
swDim.Value = 5000
End If

Next

End If
Dim swModel As SldWorks.ModelDoc2
Set swModel = swApp.ActiveDoc
Dim ret As Boolean
ret = swModel.ForceRebuild3(False)

End Sub

Function GetAllDimensions(vFeats As Variant) As Variant

Dim swDimsColl As Collection
Set swDimsColl = New Collection

Dim i As Integer

For i = 0 To UBound(vFeats)

Dim swFeat As SldWorks.Feature
Set swFeat = vFeats(i)

Dim swDispDim As SldWorks.DisplayDimension
Set swDispDim = swFeat.GetFirstDisplayDimension

While Not swDispDim Is Nothing

If Not Contains(swDimsColl, swDispDim) Then
swDimsColl.Add swDispDim
End If

Set swDispDim = swFeat.GetNextDisplayDimension(swDispDim)
Wend

Next

GetAllDimensions = CollectionToArray(swDimsColl)

End Function

Function GetAllFeatures(startFeat As SldWorks.Feature) As Variant

Dim swProcFeatsColl As Collection
Set swProcFeatsColl = New Collection

Dim swFeat As SldWorks.Feature
Set swFeat = startFeat

While Not swFeat Is Nothing

If swFeat.GetTypeName2() <> "HistoryFolder" Then

If Not Contains(swProcFeatsColl, swFeat) Then
swProcFeatsColl.Add swFeat
End If

CollectAllSubFeatures swFeat, swProcFeatsColl

End If

Set swFeat = swFeat.GetNextFeature

Wend

GetAllFeatures = CollectionToArray(swProcFeatsColl)

End Function

Sub CollectAllSubFeatures(parentFeat As SldWorks.Feature, procFeatsColl As Collection)

Dim swSubFeat As SldWorks.Feature
Set swSubFeat = parentFeat.GetFirstSubFeature

While Not swSubFeat Is Nothing

If Not Contains(procFeatsColl, swSubFeat) Then
procFeatsColl.Add swSubFeat
End If

CollectAllSubFeatures swSubFeat, procFeatsColl
Set swSubFeat = swSubFeat.GetNextSubFeature

Wend

End Sub

Function CollectionToArray(coll As Collection) As Variant

If coll.Count() > 0 Then

Dim arr() As Object

ReDim arr(coll.Count() - 1)
Dim i As Integer

For i = 1 To coll.Count
Set arr(i - 1) = coll(i)
Next

CollectionToArray = arr

Else
CollectionToArray = Empty
End If

End Function

Function Contains(coll As Collection, item As Object) As Boolean

Dim i As Integer

For i = 1 To coll.Count
If coll.item(i) Is item Then
Contains = True
Exit Function
End If
Next

Contains = False

End Function
Eh niente, devi spostare il codice nella macro precedente, quella che passa il feature manager
Su questa, nel select Case, devi trattare il nodo come una feature, se poi è un componente lo passi alla function che scansiona la scansiona, altrimenti la trattti come una feature vera, cioè una lavorazione, dove mediante un gettype verifichi di che tipo è e se fa al caso tuo gli tiri fuori le quote.
Semplice no ;)
 

SimoneCRV

Utente poco attivo
Professione: Disegnatore/ Progettista
Software: Solidworks - Visualize
Regione: Veneto
Bene...a fine giornata non ho capito una fava di quello che hai scritto :\
Tieni conto che non sono un programmatore vba, sto andando avanti da autodidatta.

Quel tuo "semplice" mi preoccupa
 

jenuary

Utente Standard
Professione: Progettista e Programmatore VB.Net
Software: Solidworks
Regione: Veneto
Bene...a fine giornata non ho capito una fava di quello che hai scritto :\
Tieni conto che non sono un programmatore vba, sto andando avanti da autodidatta.

Quel tuo "semplice" mi preoccupa
Ciao, capisco che non è semplice, più che altro è avere la logica dei passaggi da fare in testa, poi il codice lo metti di conseguenza.
Per aiutarti nella stesura, ti ho allegato la macro con i commenti, che ti spiega i passaggi che fa così da aiutarti a capire la logica.
Ti consiglio per provare di crearti un assieme con un componente al suo interno con un solido. Poi fai una funzione di assieme di estrusione di taglio che interseca il componente. Così facendo crei la situazione che volevi e poi lanci la macro.
Noterai che passa tutte le funzioni dell'albero, se è un componente poi gli fai quello che ti serve, se è una funzione, filtra un paio di casi, mal i puoi ampliare a piacere, e anche qui poi gli fai quello che vuoi alla feature, nel tuo caso ricaverai le quote.
Vedrai che con i commenti che trovi sulla macro ti capisci subito:).
Fammi sapere
 

Allegati

SimoneCRV

Utente poco attivo
Professione: Disegnatore/ Progettista
Software: Solidworks - Visualize
Regione: Veneto
Ciao, capisco che non è semplice, più che altro è avere la logica dei passaggi da fare in testa, poi il codice lo metti di conseguenza.
Per aiutarti nella stesura, ti ho allegato la macro con i commenti, che ti spiega i passaggi che fa così da aiutarti a capire la logica.
Ti consiglio per provare di crearti un assieme con un componente al suo interno con un solido. Poi fai una funzione di assieme di estrusione di taglio che interseca il componente. Così facendo crei la situazione che volevi e poi lanci la macro.
Noterai che passa tutte le funzioni dell'albero, se è un componente poi gli fai quello che ti serve, se è una funzione, filtra un paio di casi, mal i puoi ampliare a piacere, e anche qui poi gli fai quello che vuoi alla feature, nel tuo caso ricaverai le quote.
Vedrai che con i commenti che trovi sulla macro ti capisci subito:).
Fammi sapere
Mille grazie, a leggere i commenti, fa anche più del dovuto o_O
Me la studio e ancora grazie.
 

SimoneCRV

Utente poco attivo
Professione: Disegnatore/ Progettista
Software: Solidworks - Visualize
Regione: Veneto
Ciao, capisco che non è semplice, più che altro è avere la logica dei passaggi da fare in testa, poi il codice lo metti di conseguenza.
Per aiutarti nella stesura, ti ho allegato la macro con i commenti, che ti spiega i passaggi che fa così da aiutarti a capire la logica.
Ti consiglio per provare di crearti un assieme con un componente al suo interno con un solido. Poi fai una funzione di assieme di estrusione di taglio che interseca il componente. Così facendo crei la situazione che volevi e poi lanci la macro.
Noterai che passa tutte le funzioni dell'albero, se è un componente poi gli fai quello che ti serve, se è una funzione, filtra un paio di casi, mal i puoi ampliare a piacere, e anche qui poi gli fai quello che vuoi alla feature, nel tuo caso ricaverai le quote.
Vedrai che con i commenti che trovi sulla macro ti capisci subito:).
Fammi sapere
Qui dovrò lavorarci per un bel pò.
Il primo progetto, quello della importazione dei blocchi da compilare con le userform, era molto più semplice.

Ora, dato l'assieme, la nuova idea di macro, dovrà fare:
-avvio userform, inserimento dati numerici
-lettura configurazioni di tutto l'albero
-creazione di una nuova configurazione dell'assieme principale (e vabè. easy) e dei sottoassiemi/parti coinvolti (sono fermo qui). Di pari passo dovrà anche cancellare tutte le configurazioni esistenti che hanno lo stesso nome di quella nuova immessa (fatta solo per l'assieme principale per adesso)
-variazioni modelli attraverso i dati numerici immessi con la userform (fatta con la macro postata l'altro giorno)
-aggiornamento totale

Non hai idea di quanto faccio fatica a navigare sull'albero delle feature :'(
 

jenuary

Utente Standard
Professione: Progettista e Programmatore VB.Net
Software: Solidworks
Regione: Veneto
Vista nel complesso sembra tosta, ma lo è meno di quello che sembra.
Quando darai ok alla userform io farei:
  1. Aggiungere configurazione all'assieme
  2. un Getcomponents e con l'array di componenti ricavato per ognuno verificgi se esiste la configurazione, se si la cancelli e la rifai e cambi i valori che ti sevono
  3. esegui la scansione dell'assieme per feature, rimanendo al livello zero, se trovi feature di assieme gli cambi i valori
 

SimoneCRV

Utente poco attivo
Professione: Disegnatore/ Progettista
Software: Solidworks - Visualize
Regione: Veneto
Vista nel complesso sembra tosta, ma lo è meno di quello che sembra.
Quando darai ok alla userform io farei:
  1. Aggiungere configurazione all'assieme
  2. un Getcomponents e con l'array di componenti ricavato per ognuno verificgi se esiste la configurazione, se si la cancelli e la rifai e cambi i valori che ti sevono
  3. esegui la scansione dell'assieme per feature, rimanendo al livello zero, se trovi feature di assieme gli cambi i valori
Effettivamente sembrava più difficile.
Ora mi manca solo di dirli di assegnare le nuove configurazioni figli alla nuova configurazione assieme. ;)
 

jenuary

Utente Standard
Professione: Progettista e Programmatore VB.Net
Software: Solidworks
Regione: Veneto
Effettivamente sembrava più difficile.
Ora mi manca solo di dirli di assegnare le nuove configurazioni figli alla nuova configurazione assieme. ;)
Ben fatto, a volte è necessario buttarsi dentro e ti accorgi che non è poi così difficile. Il codice di partenza più della metà del lavoro stavolta.
 

SimoneCRV

Utente poco attivo
Professione: Disegnatore/ Progettista
Software: Solidworks - Visualize
Regione: Veneto
..Il codice di partenza più della metà del lavoro stavolta.
Non ho ben capito questo.

Comunque, adesso che guardo il codice che ho scritto, non è nemmeno così lungo e mi chiedo come mai ci ho messo tanto a scriverlo.
Non conoscevo vba fino a pochi mesi fa, ma ora che ci sto provando, da soddisfazioni, mi piace.
 

jenuary

Utente Standard
Professione: Progettista e Programmatore VB.Net
Software: Solidworks
Regione: Veneto
Scusa...dicevo che il codice di partenza di questa macro, quindi la parte di Traverse Feature, era una struttura già preconfezionata dove andare ad aggiungere la parte di recupero delle quote.
 

SimoneCRV

Utente poco attivo
Professione: Disegnatore/ Progettista
Software: Solidworks - Visualize
Regione: Veneto
Scusa...dicevo che il codice di partenza di questa macro, quindi la parte di Traverse Feature, era una struttura già preconfezionata dove andare ad aggiungere la parte di recupero delle quote.
Si si vero, ma ho solo preso spunto, non ho propriamente usato quel codice.
Qualche minuto e lo metto in allegato
 

SimoneCRV

Utente poco attivo
Professione: Disegnatore/ Progettista
Software: Solidworks - Visualize
Regione: Veneto
Ed ecco che il titolare ha alzato di nuovo l'asticella.
Avrei bisogno di un aiuto.

Dato un assieme dove creo una nuova configurazione, per assieme principale e figli, le quote/feature/equazioni, devono poter cambiare solo nella nuova configurazione.

Avrei bisogno di una partenza, di un spunto per favore
 

jenuary

Utente Standard
Professione: Progettista e Programmatore VB.Net
Software: Solidworks
Regione: Veneto
Ed ecco che il titolare ha alzato di nuovo l'asticella.
Avrei bisogno di un aiuto.

Dato un assieme dove creo una nuova configurazione, per assieme principale e figli, le quote/feature/equazioni, devono poter cambiare solo nella nuova configurazione.

Avrei bisogno di una partenza, di un spunto per favore
Dovrebbe essere semplice perchè nel metodo "ISetValue3 Method (IDimension)" imposti la configurazione per il cambio di valore della quota

 
Hai installato un sistema per bloccare i banner/annunci

Abbiamo capito, le pubblicità sono fastidiose!

Il software di blocco dei banner fa un ottimo lavoro nel bloccare gli annunci, ma blocca anche le funzioni utili del nostro sito web. Per una migliore esperienza sul sito, disabilita il tuo AdBlocker su CAD3D.it. Grazie!

Ho disabilitato AdBlock